# fn() globalMsaAlignment
Compute a global multiple sequence alignment.

Defined in | <seqan/graph_msa.h>
Signature | `void globalMsaAlignment(align, score); void globalMsaAlignment(gAlign, score[, options]);`

## Parameters

`gAlign` | An AlignmentGraph containing two or more sequences.
`align` | A Align object with two or more sequences to align.
`score` | The Score to use for computing the alignment.
`options` | The MsaOptions to use for the configuration.

## Detailed Description

The resulting alignment is stored in `align`/`gAlign`.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn globalMsaAlignment
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Compute a global multiple sequence alignment.
     *
     * @signature void globalMsaAlignment(align, score);
     * @signature void globalMsaAlignment(gAlign, score[, options]);
     *
     * @param[in,out] gAlign An @link AlignmentGraph @endlink containing two or more
     *                       sequences.
     * @param[in,out] align A @link Align @endlink object with two or more sequences
     *                      to align.
     * @param[in] score The @link Score @endlink to use for computing the alignment.
     * @param[in] options The @link MsaOptions @endlink to use for the
     *                    configuration.
     *
     * The resulting alignment is stored in <tt>align</tt>/<tt>gAlign</tt>.
     */